package com.yuexiu.secp.comm;

import com.sie.iot.common.application.CommonApplication;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.ImportResource;
import org.springframework.web.bind.annotation.RestController;


@SpringBootApplication
@RestController
@EnableDiscoveryClient
@EnableFeignClients
@EnableAspectJAutoProxy(proxyTargetClass = true)
@ImportResource({"classpath*:com/yuexiu/secp/comm/config/spring.mybatis.cfg.xml"})
@EnableAutoConfiguration(exclude={DataSourceAutoConfiguration.class, HibernateJpaAutoConfiguration.class})
public class TaskApplication extends CommonApplication {

    private static String  SERVICE_NAME = "--spring.profiles.active=yuexiu2067";


    public static void main(String[] args) {
        args = new String[1];
        args[0] = SERVICE_NAME;
        new SpringApplicationBuilder(TaskApplication.class).run(args);

    }
}

