package com.yuexiu.secp.comm.dto;


import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.time.LocalDateTime;
import java.util.Date;

@Document(collection = "comment")//可以省略，如果省略，则默认使用类名小写映射集合
@Data
public class Comment {


    @Id
    private String id;//主键
    // 该属性对应mongodb的字段的名字，如果一致，则无需该注解
    @Field("content")
    private String content;
    //吐槽内容
    private Date publishtime;//发布日期
    // 添加了一个单字段的索引
    @Indexed
    private String userid;//发布人ID
    private String nickname;//昵称
    private LocalDateTime createdatetime;//评论的日期时间
    private Integer likenum;//点赞数
    private Integer replynum;//回复数
    private String state;//状态
    private String parentid;//上级ID
    private String articleid;
}
